This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 598929 - Review Request: maven-remote-resources-plugin - Maven Remote Resources Plugin
Review Request: maven-remote-resources-plugin - Maven Remote Resources Plugin
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Guido Grazioli
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-02 07:05 EDT by huwang
Modified: 2010-06-04 02:52 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-04 02:52:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
guido.grazioli: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description huwang 2010-06-02 07:05:13 EDT
Spec URL: http://huwang.fedorapeople.org/packages/maven-remote-resources-plugin/maven-remote-resources-plugin.spec
SRPM URL: http://huwang.fedorapeople.org/packages/maven-remote-resources-plugin/maven-remote-resources-plugin-1.1-1.src.rpm
Description: Process resources packaged in JARs that have been deployed to a remote repository. The primary use case being satisfied is the consistent inclusion of common resources in a large set of projects. Maven projects at Apache use this plug-in to satisfy licensing requirements at Apache where each project much include license and notice files for each release.

Scratch built in koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=2224845
Comment 1 Guido Grazioli 2010-06-02 07:14:28 EDT
Reviewing this package
Comment 2 Guido Grazioli 2010-06-02 08:25:33 EDT
NEEDSWORK - rpmlint output:
maven-remote-resources-plugin.noarch: E: description-line-too-long C Process resources packaged in JARs that have been deployed to a remote repository.
maven-remote-resources-plugin.noarch: E: description-line-too-long C The primary use case being satisfied is the consistent inclusion of common resources
- Please fix those two lines

maven-remote-resources-plugin.noarch: W: no-documentation
maven-remote-resources-plugin.noarch: W: non-conffile-in-etc /etc/maven/fragments/maven-remote-resources-plugin
maven-remote-resources-plugin.spec: W: invalid-url Source0: maven-remote-resources-plugin-1.1.tar.bz2
- These are false positives

OK - The package must be named according to the Package Naming Guidelines.
OK - The spec file name must match the base package %{name}
OK - The package must meet the Packaging Guidelines
OK - The package must meet the Java Packaging Guidelines
OK - If (and only if) the source package includes the text of the
license(s) in its own file, then that file, containing the text of the
license(s) for the package must be included in %doc
OK - The package must be licensed with a Fedora approved license and
meet the Licensing Guidelines (license is ASL 2.0)
NA - Every binary RPM package which stores shared library files must
call ldconfig in %post and %postun 
OK - The package MUST successfully compile and build
koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2224845    
(against dist-f14-maven221 target)
OK - The spec file must be written in American English.
OK - The spec file for the package MUST be legible.
OK - The sources used to build the package must match the upstream source, as
provided in the spec URL. (exported from svn)
NA - The spec file MUST handle locales properly 
NA - package not relocatable
OK - A package must own all directories that it creates
OK - A Fedora package must not list a file more than once in the spec file's
%files listings
OK - Permissions on files must be set properly
OK - Each package must have a %clean section
OK - Each package must consistently use macros
NA - The package must contain code, or permissable content (no content)
NA - Large documentation files must go in a -doc subpackage (no large doc)
OK - If a package includes something as %doc, it must not affect the runtime of
the application
NA - Header files must be in a -devel package
NA - Static libraries must be in a -static package (no static package)
NA - Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'
OK - Packages must NOT contain any .la libtool archives
NA - Packages containing GUI applications MUST include a .desktop file 
OK - No file conflicts with other packages and no general names.
OK - At the beginning of %install, each package MUST run rm -rf %{buildroot}
OK - All filenames in rpm packages must be valid UTF-8
OK - The package does not yet exist in Fedora. The Review Request is not a
duplicate. (obsoletes maven2-plugin-remote-resources <= 0:2.0.8)
OK - %{?dist} tag is used in release    

OTHER:
- %{name} could be used in %add_to_maven_depmap
- please add comment in the specfile for Patch0
Comment 3 huwang 2010-06-02 23:06:14 EDT
(In reply to comment #2)
> NEEDSWORK - rpmlint output:
> maven-remote-resources-plugin.noarch: E: description-line-too-long C Process
> resources packaged in JARs that have been deployed to a remote repository.
> maven-remote-resources-plugin.noarch: E: description-line-too-long C The
> primary use case being satisfied is the consistent inclusion of common
> resources
> - Please fix those two lines
Fixed.
> 
> maven-remote-resources-plugin.noarch: W: no-documentation
> maven-remote-resources-plugin.noarch: W: non-conffile-in-etc
> /etc/maven/fragments/maven-remote-resources-plugin
> maven-remote-resources-plugin.spec: W: invalid-url Source0:
> maven-remote-resources-plugin-1.1.tar.bz2
> - These are false positives
> 
> OK - The package must be named according to the Package Naming Guidelines.
> OK - The spec file name must match the base package %{name}
> OK - The package must meet the Packaging Guidelines
> OK - The package must meet the Java Packaging Guidelines
> OK - If (and only if) the source package includes the text of the
> license(s) in its own file, then that file, containing the text of the
> license(s) for the package must be included in %doc
> OK - The package must be licensed with a Fedora approved license and
> meet the Licensing Guidelines (license is ASL 2.0)
> NA - Every binary RPM package which stores shared library files must
> call ldconfig in %post and %postun 
> OK - The package MUST successfully compile and build
> koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2224845    
> (against dist-f14-maven221 target)
> OK - The spec file must be written in American English.
> OK - The spec file for the package MUST be legible.
> OK - The sources used to build the package must match the upstream source, as
> provided in the spec URL. (exported from svn)
> NA - The spec file MUST handle locales properly 
> NA - package not relocatable
> OK - A package must own all directories that it creates
> OK - A Fedora package must not list a file more than once in the spec file's
> %files listings
> OK - Permissions on files must be set properly
> OK - Each package must have a %clean section
> OK - Each package must consistently use macros
> NA - The package must contain code, or permissable content (no content)
> NA - Large documentation files must go in a -doc subpackage (no large doc)
> OK - If a package includes something as %doc, it must not affect the runtime of
> the application
> NA - Header files must be in a -devel package
> NA - Static libraries must be in a -static package (no static package)
> NA - Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'
> OK - Packages must NOT contain any .la libtool archives
> NA - Packages containing GUI applications MUST include a .desktop file 
> OK - No file conflicts with other packages and no general names.
> OK - At the beginning of %install, each package MUST run rm -rf %{buildroot}
> OK - All filenames in rpm packages must be valid UTF-8
> OK - The package does not yet exist in Fedora. The Review Request is not a
> duplicate. (obsoletes maven2-plugin-remote-resources <= 0:2.0.8)
> OK - %{?dist} tag is used in release    
> 
> OTHER:
> - %{name} could be used in %add_to_maven_depmap
> - please add comment in the specfile for Patch0    
Fixed
Please review again, thanks.

Spec URL: http://huwang.fedorapeople.org/packages/maven-remote-resources-plugin/maven-remote-resources-plugin.spec
SRPM URL: http://huwang.fedorapeople.org/packages/maven-remote-resources-plugin/maven-remote-resources-plugin-1.1-2.src.rpm

Scratch built in koji : http://koji.fedoraproject.org/koji/taskinfo?taskID=2226359
Comment 4 Guido Grazioli 2010-06-03 04:01:52 EDT
Package APPROVED.
Comment 5 huwang 2010-06-03 06:36:22 EDT
New Package CVS Request
=======================
Package Name: maven-remote-resources-plugin
Short Description: Maven Remote Resources Plugin
Owners: huwang
Branches: 
InitialCC:
Comment 6 Kevin Fenzi 2010-06-03 16:36:35 EDT
CVS done (by process-cvs-requests.py).
Comment 7 huwang 2010-06-04 02:51:26 EDT
Built in koji : http://koji.fedoraproject.org/koji/buildinfo?buildID=176541

Note You need to log in before you can comment on or make changes to this bug.